function [ ratio ] = SERRatio( x,x1,winlength )
%SERRatio Calculates the SER of two signals
%   SER is a noise estimation ratio using spectrograms of the two signals
%   computed on a frame-by-frame basis

if nargin==2    % if no of input args less than 3
    winlength=2048; %default winlength
end

Fs=44100;           %sampling rate
fftsize=winlength;  %window length
m_S=winlength/4;    %hop size (75%overlap)
m_L=winlength;      %window length/ fft length

window=hanning(fftsize);
y1=spectrogram(x,window,fftsize/4,fftsize);
y2=spectrogram(x1,window,fftsize/4,fftsize);

%output the SER Ratio
ratio=10*log( (sum(sum(abs(y1).^2)))/(sum(sum( (abs(y1)-abs(y2)).^2))));
end

